Package org.eclipse.emf.cdo.etypes

## Interface ModelElement

- All Superinterfaces:
    `CDOObject`, `CDOWithID`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`
  All Known Subinterfaces:
    `Annotation`, `Assignee`, `Directory`, `Group`, `Realm`, `Role`, `SecurityElement`, `SecurityItem`, `User`
  All Known Implementing Classes:
    `AnnotationImpl`, `AssigneeImpl`, `DirectoryImpl`, `GroupImpl`, `ModelElementImpl`, `RealmImpl`, `RoleImpl`, `SecurityElementImpl`, `SecurityItemImpl`, `UserImpl`

      public interface ModelElement
      extends CDOObject

  A representation of the model object 'Model Element'.
  Since:
    4.0

    The following features are supported:

    - `Annotations`
  See Also:
    `EtypesPackage.getModelElement()`
  Generated
  Extends
    CDOObject
  Model
    abstract="true"

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Annotation` | `getAnnotation​(java.lang.String source)`
    `org.eclipse.emf.common.util.EList<Annotation>` | `getAnnotations()` | Returns the value of the 'Annotations' containment reference list.

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getAnnotations

          org.eclipse.emf.common.util.EList<Annotation> getAnnotations()

      Returns the value of the 'Annotations' containment reference list. The list contents are of type `Annotation`. It is bidirectional and its opposite is '`Model Element`'.

      If the meaning of the 'Annotations' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Annotations' containment reference list.
      See Also:
        `EtypesPackage.getModelElement_Annotations()`, `Annotation.getModelElement()`
      Generated
      Model
        opposite="modelElement" containment="true"

    - #### getAnnotation

          Annotation getAnnotation​(java.lang.String source)

      Generated
      Model